echo off
CALL echo This helper script will help find the DIMM IDs, which is required as an input arguement for Windows_update.bat
CALL set ipmctl_path="C:\Progra~1\Intel\DCPM Software\"
CALL IF EXIST %ipmctl_path% (
CALL echo ======================================================
CALL echo ======================================================
CALL %ipmctl_path%ipmctl show -d DIMMID -dimm
CALL echo ======================================================
CALL echo ======================================================
CALL echo Use the DIMM IDs and pass it to the Windows_update.bat as comma-seperated arguments.
CALL echo Example- If the output of this script is:
CALL echo ---DimmID=0x0020---
CALL echo ---DimmID=0x0120---
CALL echo ---DimmID=0x1020---
CALL echo ---DimmID=0x1120---
CALL echo Then the DIMM IDs of the installed DCPMM DIMMs are: 0x0020,0x0120,0x1020,0x1120
CALL echo Use this to pass as comma-seperated arguements to the script:
CALL echo Windows: Windows_update.bat 0x0020,0x0120,0x1020,0x1120
)